window.onload = function() {
    document.addEventListener('visibilitychange', function() {
        if (tizen.preference.exists('KEY')) { //Check whether last measured heart rate value exists or not.
            document.getElementById('content-text').textContent = "Last Measured: " + tizen.preference.getValue('KEY');
        } else {
            document.getElementById('content-text').textContent = "Measure First!";
        }
    });
    var widget_click = document.getElementById('header');
    widget_click.addEventListener('click', function() {
        tizen.preference.setValue('launch_measure_page', 1); //Set a preference to open heart rate measuring page of app.
        tizen.application.launch("rmA0CVT9vi.HeartRateMonitor"); //Launch app from widget.

    });
    var widget_click = document.getElementById('footer');
    widget_click.addEventListener('click', function() {
        tizen.preference.setValue('launch_history_page', 1); //Set a preference to open history page of app.
        tizen.application.launch("rmA0CVT9vi.HeartRateMonitor");

    });
};